| dfeofdm Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDfeOfdm_Status Struct Reference
Overview

OFDM Status. More...

## Data Fields
u32 | SaturationCCID
                 [0,15] CCID in which saturation event
occurred. More...
u32 | SaturationCount
                  [0,2**14-1] Saturation events count across
real and imaginary components. More...
u32 | CCUpdate
           [0,1] There has been an overflow or underflow in
the filter for one or more of the antennas and CCIDs. More...
u32 | FTCCSequenceError
                    [0,1] TRIGGER.CC_UPDATE has been
triggered. More...
u32 | Saturation
| [0,1] A difference between CC_CONFIGURATION. More...
u32 | Overflow
           [0,1] UL OFDM receives tready low during packet
transaction More...

## Detailed Description

OFDM Status.

## Field Documentation

u32 XDfeOfdm_Status::CCUpdate

           [0,1] There has been an overflow or underflow in

the filter for one or more of the antennas and CCIDs.

Referenced by XDfeOfdm_AddCCExample(), XDfeOfdm_ClearEventStatus(), XDfeOfdm_GetEventStatus(), and XDfeOfdm_MultiAddCCExample().

u32 XDfeOfdm_Status::FTCCSequenceError

                    [0,1] TRIGGER.CC_UPDATE has been

triggered.

Referenced by XDfeOfdm_AddCCExample(), XDfeOfdm_ClearEventStatus(), XDfeOfdm_GetEventStatus(), and XDfeOfdm_MultiAddCCExample().

u32 XDfeOfdm_Status::Overflow

           [0,1] UL OFDM receives tready low during packet

transaction

Referenced by XDfeOfdm_ClearEventStatus(), and XDfeOfdm_GetEventStatus().

u32 XDfeOfdm_Status::Saturation

[0,1] A difference between CC_CONFIGURATION.

SEQUENCE and DIN TID has been detected.

Referenced by XDfeOfdm_AddCCExample(), XDfeOfdm_ClearEventStatus(), XDfeOfdm_GetEventStatus(), and XDfeOfdm_MultiAddCCExample().

u32 XDfeOfdm_Status::SaturationCCID

                 [0,15] CCID in which saturation event

occurred.

Referenced by XDfeOfdm_AddCCExample(), XDfeOfdm_GetEventStatus(), and XDfeOfdm_MultiAddCCExample().

u32 XDfeOfdm_Status::SaturationCount

                  [0,2**14-1] Saturation events count across

real and imaginary components.

Referenced by XDfeOfdm_AddCCExample(), XDfeOfdm_GetEventStatus(), and XDfeOfdm_MultiAddCCExample().